Summary:	SSLv3/TLS network protocol analyzer
Summary(pl.UTF-8):	Analizator protokołu sieciowego SSLv3/TLS
Name:		ssldump
Version:	1.4
Release:	1
License:	BSD
Group:		Networking/Utilities
Source0:	https://github.com/adulau/ssldump/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	20323bf4b4758f2be4412fa79e6013ab
URL:		https://github.com/adulau/ssldump/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	json-c-devel
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel >= 2:0.8.3
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ssldump is an SSLv3/TLS network protocol analyzer. It identifies TCP
connections on the chosen network interface and attempts to interpret
them as SSLv3/TLS traffic. When it identifies SSLv3/TLS traffic, it
decodes the records and displays them in a textual form to stdout. If
provided with the appropriate keying material, it will also decrypt
the connections and display the application data traffic.

%description -l pl.UTF-8
ssldump to analizator protokołu sieciowego SSLv3/TLS. Identyfikuje
połączenia TCP na wybranym interfejsie sieciowym i próbuje
interpretować je jako ruch SSLv3/TLS. Po zidentyfikowaniu ruchu
SSLv3/TLS dekoduje rekordy i wyświetla je w postaci tekstowej na
standardowym wyjściu. W przypadku wyposarzenia we właściwe klucze
będzie także dekodował połączenia i wyświetlał ruch danych aplikacji.

%prep
%setup -q

%build
cp -f %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_sbindir}/ssldump
%{_mandir}/man1/*
%changelog
* Sun Feb 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ssldump.git;a=log;h=master

* Tue Jan 25 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> dcffd7c
- Up to 1.4.

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d746fba
- release 8 (by relup.sh)

* Wed Mar 09 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fd324c6
- added AES support (patch by Adam Osuchowski)
- fixed build with openssl on x86_64
- release 7

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e230d41
- release 6

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> cbaa17e
- fixed Group

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3786f81
- release 5

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 7c3a0ef
- release 4

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d13d401
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 50ca7bd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a136712
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 4f2a63e
- rebuild due manpage on amd64 contains just null bytes

* Sun May 07 2006 areq <areq@pld-linux.org> 781c0b1
- build with new openssl
- taken from http://ftp.debian.org/debian/pool/main/s/ssldump/ssldump_0.9b3-2.1.diff.gz

* Sun May 07 2006 areq <areq@pld-linux.org> 0b750ea
- Build with new openssl

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 1fa3701
- pl

* Sun Nov 14 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 38d05f8
- initial pld release

